#########################################
The :class:`Date Handler` Classes
#########################################

DateParser
====================================
.. automodule:: gen.datehandler._dateparser
.. autoclass:: DateParser
   :members:
   :undoc-members:
   :show-inheritance:

DateDisplay
====================================
.. automodule:: gen.datehandler._datedisplay
.. autoclass:: DateDisplay
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateDisplayEn
   :members:
   :undoc-members:
   :show-inheritance:

DateUtils
====================================
.. automodule:: gen.datehandler._dateutils
   :members:
   :undoc-members:
   :show-inheritance:

DateHandler
====================================
.. automodule:: gen.datehandler._datehandler
   :members:
   :undoc-members:
   :show-inheritance:

Localized Date Handlers
====================================

*****************************
DateHandler (Bulgarian)
*****************************
.. autoclass:: gen.datehandler._date_bg.DateParserBG
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_bg.DateDisplayBG
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (Catalan)
*****************************
.. autoclass:: gen.datehandler._date_ca.DateParserCA
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_ca.DateDisplayCA
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Czech)
*****************************
.. autoclass:: gen.datehandler._date_cs.DateParserCZ
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_cs.DateDisplayCZ
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (German)
*****************************
.. autoclass:: gen.datehandler._date_de.DateParserDE
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_de.DateDisplayDE
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Spanish)
*****************************
.. autoclass:: gen.datehandler._date_es.DateParserES
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_es.DateDisplayES
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (Finnish)
*****************************
.. autoclass:: gen.datehandler._date_fi.DateParserFI
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_fi.DateDisplayFI
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (French)
*****************************
.. autoclass:: gen.datehandler._date_fr.DateParserFR
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_fr.DateDisplayFR
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (Croatian)
*****************************
.. autoclass:: gen.datehandler._date_hr.DateParserHR
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_hr.DateDisplayHR
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Italian)
*****************************
.. autoclass:: gen.datehandler._date_it.DateParserIT
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_it.DateDisplayIT
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (Lituanian)
*****************************
.. autoclass:: gen.datehandler._date_lt.DateParserLT
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_lt.DateDisplayLT
   :members:
   :undoc-members:
   :show-inheritance:  

*****************************
DateHandler (Norwegian)
*****************************
.. autoclass:: gen.datehandler._date_nb.DateParserNb
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_nb.DateDisplayNb
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (Dutch)
*****************************
.. autoclass:: gen.datehandler._date_nl.DateParserNL
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_nl.DateDisplayNL
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (Polish)
*****************************
.. autoclass:: gen.datehandler._date_pl.DateParserPL
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_pl.DateDisplayPL
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Portuguese)
*****************************
.. autoclass:: gen.datehandler._date_pt.DateParserPT
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_pt.DateDisplayPT
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Russian)
*****************************
.. autoclass:: gen.datehandler._date_ru.DateParserRU
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_ru.DateDisplayRU
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Slovak)
*****************************
.. autoclass:: gen.datehandler._date_sk.DateParserSK
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_sk.DateDisplaySK
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Slovenian)
*****************************
.. autoclass:: gen.datehandler._date_sl.DateParserSL
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_sl.DateDisplaySL
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Serbian)
*****************************
.. autoclass:: gen.datehandler._date_sr.DateParserSR
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: gen.datehandler._date_sr.DateDisplaySR_latin
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Swedish)
*****************************
.. autoclass::  gen.datehandler._date_sv.DateParserSv
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  gen.datehandler._date_sv.DateDisplaySv
   :members:
   :undoc-members:
   :show-inheritance:

#########################################
The :class:`Date Edition` Classes
#########################################

DateEdit
====================================
.. automodule:: gramps.gui.editors.editdate
   :members:
   :undoc-members:
   :show-inheritance:
